Name: tk
Version: 8.0
Release: 1
Group: Development/Languages/Tcl
Summary: Tk toolkit for Tcl, version 8.0, with shared libraries
Copyright: BSD
Source: ftp://ftp.sunlabs.com/pub/tcl/tk8.0.tar.gz
BuildRoot: /tmp/tk-root
Packager: Daniel Schepler <dks2@cec.wustl.edu>
URL: http://sunscript.sun.com/
Icon: tklogo64.gif

%define TCL_MAJOR_VERSION 8.0
%define TK_MAJOR_VERSION 8.0

%description
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%package devel
Group: Development/Languages/Tcl
Summary: Tk static libraries and header files

%description devel
Libraries and header files for developing C programs using or
extending the Tk toolkit.  This package is not needed for writing Wish
scripts, unless you wish to extend Tk using C code.

%package source
Group: Development/Languages/Tcl
Summary: Tk source files for building tcl/tk extensions

%description source
Header files and links to libraries needed to build tcl/tk extensions
such as tclX and tix.  You should not need this package unless you
need to compile one of these extensions or a similar one.

%prep
%setup -n tk${RPM_PACKAGE_VERSION}

%build
cd unix
./configure --prefix=/usr --enable-gcc --disable-shared \
        --with-tcl=/usr/src/tcl%{TCL_MAJOR_VERSION}/unix
make CFLAGS="${RPM_OPT_FLAGS}"
# Move static library out of the way
mv -f libtk%{TK_MAJOR_VERSION}.a backup-libtk%{TK_MAJOR_VERSION}.a.nodel

# Now clean up, then build the dynamic library
make distclean
./configure --prefix=/usr --enable-gcc --enable-shared \
        --with-tcl=/usr/src/tcl%{TCL_MAJOR_VERSION}/unix
make CFLAGS="${RPM_OPT_FLAGS}"
mv -f backup-libtk%{TK_MAJOR_VERSION}.a.nodel libtk%{TK_MAJOR_VERSION}.a

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/include
mkdir -p ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/generic
mkdir -p ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/unix

cd unix
make install INSTALL_ROOT=${RPM_BUILD_ROOT}
install -m 644 libtk%{TK_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib/
ln -sf libtk%{TK_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib/libtk.a
ln -sf libtk%{TK_MAJOR_VERSION}.so ${RPM_BUILD_ROOT}/usr/lib/libtk.so
ln -sf wish%{TK_MAJOR_VERSION} ${RPM_BUILD_ROOT}/usr/bin/wish

sed -e "s:${RPM_BUILD_DIR}/tk${RPM_PACKAGE_VERSION}:\
/usr/src/tk%{TK_MAJOR_VERSION}:g" \
        < tkConfig.sh > ${RPM_BUILD_ROOT}/usr/lib/tkConfig.sh

cd ..
for f in `find generic/ unix/ -name \*.h -print`; do
        install -m 644 $f \
                ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/$f
done
install -m 644 unix/Makefile \
        ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/unix/Makefile
ln -sf ../../../lib/tkConfig.sh \
        ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/unix/
ln -sf ../../../lib/libtk%{TK_MAJOR_VERSION}.a \
        ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/unix/
ln -sf ../../../lib/libtk%{TK_MAJOR_VERSION}.so \
        ${RPM_BUILD_ROOT}/usr/src/tk%{TK_MAJOR_VERSION}/unix/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libtk%{TK_MAJOR_VERSION}.so
/usr/bin/wish
/usr/bin/wish%{TK_MAJOR_VERSION}
/usr/lib/tk%{TK_MAJOR_VERSION}
/usr/man/man1/*
/usr/man/mann/*
%doc README changes license.terms

%files devel
/usr/lib/libtk.so
/usr/lib/libtk%{TK_MAJOR_VERSION}.a
/usr/lib/libtk.a
/usr/include/tk.h
/usr/lib/tkConfig.sh
/usr/man/man3/*

%files source
/usr/src/tk%{TK_MAJOR_VERSION}
